Avro C#

Public Member Functions | Protected Member Functions | List of all members
Avro.IO.Parsing.JsonGrammarGenerator Class Reference

The class that generates a grammar suitable to parse Avro data in JSON format. More...

Inheritance diagram for Avro.IO.Parsing.JsonGrammarGenerator:

## Public Member Functions
override Symbol | Generate (Schema schema)
| Returns the non-terminal that is the start symbol for the grammar for the grammar for the given schema `schema`. More...

## Protected Member Functions
override Symbol | Generate (Schema sc, IDictionary< LitS, Symbol > seen)
| Returns the non-terminal that is the start symbol for grammar of the given schema `sc`. If there is already an entry for the given schema in the given map `seen` then that entry is returned. Otherwise a new symbol is generated and an entry is inserted into the map. More...

## Detailed Description

The class that generates a grammar suitable to parse Avro data in JSON format.

## Member Function Documentation

## ◆ Generate() [1/2]

override Symbol Avro.IO.Parsing.JsonGrammarGenerator.Generate | ( | Schema | sc,
|  | IDictionary< LitS, Symbol > | seen
| ) |  |
| inline protected virtual

Returns the non-terminal that is the start symbol for grammar of the given schema `sc`. If there is already an entry for the given schema in the given map `seen` then that entry is returned. Otherwise a new symbol is generated and an entry is inserted into the map.

Parameters

  sc | The schema for which the start symbol is required
  seen | A map of schema to symbol mapping done so far.

Returns
  The start symbol for the schema

Reimplemented from Avro.IO.Parsing.ValidatingGrammarGenerator.

## ◆ Generate() [2/2]

override Symbol Avro.IO.Parsing.JsonGrammarGenerator.Generate | ( | Schema | schema | ) |
| inline virtual

Returns the non-terminal that is the start symbol for the grammar for the grammar for the given schema `schema`.

Reimplemented from Avro.IO.Parsing.ValidatingGrammarGenerator.

The documentation for this class was generated from the following file:

- src/apache/main/IO/Parsing/JsonGrammarGenerator.cs